com.h3c.sdn.metric

## Enum MetricDescriptor.SummaryIntervalMinutes

- java.lang.Object
- - java.lang.Enum<MetricDescriptor.SummaryIntervalMinutes>
  - - com.h3c.sdn.metric.MetricDescriptor.SummaryIntervalMinutes

- All Implemented Interfaces:
    Serializable, Comparable<MetricDescriptor.SummaryIntervalMinutes>
  Enclosing class:
    MetricDescriptor

      public static enum MetricDescriptor.SummaryIntervalMinutes
      extends Enum<MetricDescriptor.SummaryIntervalMinutes>

  The set of permitted values for the interval that can elapse between summarizations of a `TimeStampedMetric` value.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FIFTEEN`
    `FIVE`
    `ONE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()` Gets the value associated with an enumerated name.
    `static MetricDescriptor.SummaryIntervalMinutes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MetricDescriptor.SummaryIntervalMinutes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ONE

          public static final MetricDescriptor.SummaryIntervalMinutes ONE

    - #### FIVE

          public static final MetricDescriptor.SummaryIntervalMinutes FIVE

    - #### FIFTEEN

          public static final MetricDescriptor.SummaryIntervalMinutes FIFTEEN

  - ### Method Detail

    - #### values

          public static MetricDescriptor.SummaryIntervalMinutes[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MetricDescriptor.SummaryIntervalMinutes c : MetricDescriptor.SummaryIntervalMinutes.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MetricDescriptor.SummaryIntervalMinutes valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the value associated with an enumerated name.
      Returns:
        value

Copyright © 2014. All Rights Reserved.